-- Table for YnAMP
--------------------------------------------------------------
CREATE TABLE IF NOT EXISTS StartPosition
    (   MapName TEXT,
        Civilization TEXT,
        Leader TEXT,
        X INT default 0,
        Y INT default 0);

--------------------------------------------------------------
-- Resourceful Support
--------------------------------------------------------------
INSERT INTO Improvement_ValidBuildUnits	
		(ImprovementType,					UnitType)
SELECT	'IMPROVEMENT_MINE2',				'UNIT_CONS_LUCKY_BEAST'
WHERE EXISTS (SELECT * FROM Improvements WHERE ImprovementType = 'IMPROVEMENT_MINE2');

INSERT INTO Improvement_ValidBuildUnits	
		(ImprovementType,					UnitType)
SELECT	'IMPROVEMENT_QUARRY2',				'UNIT_CONS_LUCKY_BEAST'
WHERE EXISTS (SELECT * FROM Improvements WHERE ImprovementType = 'IMPROVEMENT_QUARRY2');

INSERT INTO Improvement_ValidBuildUnits	
		(ImprovementType,					UnitType)
SELECT	'IMPROVEMENT_LUMBER_MILL2',			'UNIT_CONS_LUCKY_BEAST'
WHERE EXISTS (SELECT * FROM Improvements WHERE ImprovementType = 'IMPROVEMENT_LUMBER_MILL2');

INSERT INTO Improvement_ValidBuildUnits	
		(ImprovementType,					UnitType)
SELECT	'IMPROVEMENT_PLANTATION2',			'UNIT_CONS_LUCKY_BEAST'
WHERE EXISTS (SELECT * FROM Improvements WHERE ImprovementType = 'IMPROVEMENT_PLANTATION2');

INSERT INTO Improvement_ValidBuildUnits	
		(ImprovementType,					UnitType)
SELECT	'IMPROVEMENT_FISHING_BOATS2',		'UNIT_CONS_LUCKY_BEAST'
WHERE EXISTS (SELECT * FROM Improvements WHERE ImprovementType = 'IMPROVEMENT_FISHING_BOATS2');